import unittest
from goescalibration import instrument
import datetime
from netcdf import netcdf as nc
import os


class TestChannel01(unittest.TestCase):

    def test_calibration(self):
        # Each coefficient should be used on or after the second Tuesday
        # of the month following the coefficient.
        params = instrument.calibration(datetime.datetime(2014, 11, 10),
                                        'goes13')
        self.assertEquals(params, {
            'space_measurement': 29.0,
            'postlaunch': 1.305,
            'counts_shift': 32.0,
            'prelaunch': [0.6118, 0.00116]})
        params = instrument.calibration(datetime.datetime(2014, 11, 11),
                                        'goes13')
        self.assertEquals(params, {
            'space_measurement': 29.0,
            'postlaunch': 1.308,
            'counts_shift': 32.0,
            'prelaunch': [0.6118, 0.00116]})


if __name__ == '__main__':
    unittest.main()
